; 
; IDL Widget Interface Procedures. This Code is automatically 
;     generated and should not be modified.

; 
; Generated on:	03/03/2007 01:08.51
; 
pro dispBase_event, Event

  wTarget = (widget_info(Event.id,/NAME) eq 'TREE' ?  $
      widget_info(Event.id, /tree_root) : event.id)


  wWidget =  Event.top

  case wTarget of

    Widget_Info(wWidget, FIND_BY_UNAME='dispBase'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BASE' )then $
        dispWidget_resizeWindow, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='displayBase'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='mainDraw'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 0 )then $
          dispWidget_mouseClick, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 1 )then $
          dispWidget_mouseClick, Event
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_DRAW' )then $
        if( Event.type eq 2 )then $
          dispWidget_mouseMotion, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='buttonSet'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='colorMapButton'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_colorMap, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='WID_BUTTON_0'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_help, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='WID_BUTTON_1'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_openFile, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='movie_button'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_movie, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='bottomFrame'): begin
    end
    Widget_Info(wWidget, FIND_BY_UNAME='W_MENU_3'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_openFile, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='W_MENU_4'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_saveFile, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='menu_scaleLinear'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_scaleLinear, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='menu_scaleLog'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_scaleLog, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='menu_scaleSqrt'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_scaleSqrt, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='menu_scaleLogAbs'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_scaleLogAbs, Event
    end
    Widget_Info(wWidget, FIND_BY_UNAME='menu_scaleSqrtAbs'): begin
      if( Tag_Names(Event, /STRUCTURE_NAME) eq 'WIDGET_BUTTON' )then $
        dispWidget_scaleSqrtAbs, Event
    end
    else:
  endcase

end

pro dispBase, GROUP_LEADER=wGroup, id=id, _EXTRA=_VWBExtra_

  Resolve_Routine, 'dispWidget_eventcb',/COMPILE_FULL_FILE  ; Load event callback routines
  
  dispBase = Widget_Base( GROUP_LEADER=wGroup, UNAME='dispBase'  $
      ,XOFFSET=5 ,YOFFSET=5 ,SCR_XSIZE=395 ,SCR_YSIZE=458  $
      ,NOTIFY_REALIZE='dispWidget_debug' ,/TLB_SIZE_EVENTS  $
      ,TITLE='IDL' ,SPACE=3 ,ROW=3 ,MBAR=dispBase_MBAR)

  
  displayBase = Widget_Base(dispBase, UNAME='displayBase' ,FRAME=1  $
      ,YOFFSET=3 ,SCR_XSIZE=385 ,SCR_YSIZE=403  $
      ,NOTIFY_REALIZE='dispWidget_realizeDisplay'  $
      ,KILL_NOTIFY='dispWidget_destroyDisplay' ,TITLE='IDL' ,SPACE=3  $
      ,XPAD=3 ,YPAD=3 ,COLUMN=3)

   ;; return the id of the widget
  id = displayBase
  
  dispWidget_createDisplay, displayBase, _EXTRA=_VWBExtra_

  
  mainDraw = Widget_Draw(displayBase, UNAME='mainDraw' ,XOFFSET=3  $
      ,YOFFSET=3 ,SCR_XSIZE=265 ,SCR_YSIZE=272 ,/BUTTON_EVENTS  $
      ,/MOTION_EVENTS)

  
  displayMarginFrame = Widget_Base(displayBase,  $
      UNAME='displayMarginFrame' ,FRAME=1 ,XOFFSET=271 ,YOFFSET=3  $
      ,SCR_XSIZE=110 ,SCR_YSIZE=296 ,TITLE='IDL' ,SPACE=3 ,XPAD=3  $
      ,YPAD=3)

  
  secondaryDraw = Widget_Draw(displayMarginFrame,  $
      UNAME='secondaryDraw' ,XOFFSET=1 ,YOFFSET=1 ,SCR_XSIZE=65  $
      ,SCR_YSIZE=62)

  
  buttonSet = Widget_Base(displayMarginFrame, UNAME='buttonSet'  $
      ,FRAME=1 ,XOFFSET=6 ,YOFFSET=71 ,SCR_XSIZE=29 ,SCR_YSIZE=147  $
      ,EVENT_FUNC='dispWidget_radioButtonEvent' ,TITLE='IDL' ,ROW=6  $
      ,/EXCLUSIVE)

  
  dispWidget_populateButtonSet, buttonSet, _EXTRA=_VWBExtra_

  
  indexLabel = Widget_Label(displayMarginFrame, UNAME='indexLabel'  $
      ,FRAME=1 ,XOFFSET=39 ,YOFFSET=198 ,SCR_XSIZE=63 ,SCR_YSIZE=19  $
      ,/ALIGN_CENTER ,VALUE='[0,0]')

  
  valueLabel = Widget_Label(displayMarginFrame, UNAME='valueLabel'  $
      ,FRAME=1 ,XOFFSET=3 ,YOFFSET=269 ,SCR_XSIZE=102 ,SCR_YSIZE=19  $
      ,/ALIGN_CENTER ,VALUE='0.0')

  
  colorMapButton = Widget_Button(displayMarginFrame,  $
      UNAME='colorMapButton' ,XOFFSET=39 ,YOFFSET=100 ,SCR_XSIZE=22  $
      ,SCR_YSIZE=22 ,/ALIGN_CENTER ,TOOLTIP='change the color map'  $
      ,VALUE='color.bmp' ,/BITMAP)

  
  WID_BUTTON_0 = Widget_Button(displayMarginFrame,  $
      UNAME='WID_BUTTON_0' ,XOFFSET=39 ,YOFFSET=157 ,SCR_XSIZE=22  $
      ,SCR_YSIZE=22 ,/ALIGN_CENTER ,TOOLTIP='help' ,VALUE='help.bmp'  $
      ,/BITMAP)

  
  WID_BUTTON_1 = Widget_Button(displayMarginFrame,  $
      UNAME='WID_BUTTON_1' ,XOFFSET=39 ,YOFFSET=71 ,SCR_XSIZE=22  $
      ,SCR_YSIZE=22 ,/ALIGN_CENTER ,TOOLTIP='Open FITS or VIEW File'  $
      ,VALUE='open.bmp' ,/BITMAP)

  
  positionLabelX = Widget_Label(displayMarginFrame,  $
      UNAME='positionLabelX' ,FRAME=1 ,XOFFSET=5 ,YOFFSET=222  $
      ,SCR_XSIZE=100 ,SCR_YSIZE=18 ,/ALIGN_CENTER ,VALUE='x ='+ $
      ' 0000.0000')

  
  positionLabelY = Widget_Label(displayMarginFrame,  $
      UNAME='positionLabelY' ,FRAME=1 ,XOFFSET=5 ,YOFFSET=245  $
      ,SCR_XSIZE=98 ,SCR_YSIZE=18 ,/ALIGN_CENTER ,VALUE='y ='+ $
      ' 0000.0000')

  
  movie_button = Widget_Button(displayMarginFrame,  $
      UNAME='movie_button' ,XOFFSET=39 ,YOFFSET=127 ,SCR_XSIZE=22  $
      ,SCR_YSIZE=22 ,/ALIGN_CENTER ,TOOLTIP='movie mode'  $
      ,VALUE='movieCamera.bmp' ,/BITMAP)

  
  bottomFrame = Widget_Base(dispBase, UNAME='bottomFrame' ,FRAME=1  $
      ,YOFFSET=409 ,SCR_XSIZE=386 ,SCR_YSIZE=81  $
      ,EVENT_FUNC='dispWidget_fSliderEvent' ,TITLE='IDL' ,SPACE=3  $
      ,XPAD=3 ,YPAD=3 ,COLUMN=2)

  
  dispWidget_createSliderGroup, bottomFrame, _EXTRA=_VWBExtra_

  
  W_MENU_0 = Widget_Button(dispBase_MBAR, UNAME='W_MENU_0' ,/MENU  $
      ,VALUE='File')

  
  W_MENU_3 = Widget_Button(W_MENU_0, UNAME='W_MENU_3' ,VALUE='Open')
  
  W_MENU_4 = Widget_Button(W_MENU_0, UNAME='W_MENU_4' ,VALUE='Save')
  
  W_MENU_1 = Widget_Button(dispBase_MBAR, UNAME='W_MENU_1' ,/MENU  $
      ,VALUE='Scale')

  
  menu_scaleLinear = Widget_Button(W_MENU_1, UNAME='menu_scaleLinear'  $
      ,/CHECKED_MENU ,VALUE='Linear')

  
  menu_scaleLog = Widget_Button(W_MENU_1, UNAME='menu_scaleLog'  $
      ,/CHECKED_MENU ,VALUE='Log')

  
  menu_scaleSqrt = Widget_Button(W_MENU_1, UNAME='menu_scaleSqrt'  $
      ,/CHECKED_MENU ,VALUE='Sqrt')

  
  menu_scaleLogAbs = Widget_Button(W_MENU_1, UNAME='menu_scaleLogAbs'  $
      ,/CHECKED_MENU ,VALUE='LogAbs')

  
  menu_scaleSqrtAbs = Widget_Button(W_MENU_1,  $
      UNAME='menu_scaleSqrtAbs' ,/CHECKED_MENU ,VALUE='SqrtAbs')

  Widget_Control, /REALIZE, dispBase

  XManager, 'dispBase', dispBase, /NO_BLOCK  

end
; 
; Empty stub procedure used for autoloading.
; 
pro dispWidget, id = id, GROUP_LEADER=wGroup, _EXTRA=_VWBExtra_
  dispBase, GROUP_LEADER=wGroup, id = id, _EXTRA=_VWBExtra_
end
